
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.reverseddimensions.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.reverseddimensions.entity.InfiltratorSwineEntity;
import net.mcreator.reverseddimensions.entity.InfiltratorPhantomEntity;
import net.mcreator.reverseddimensions.entity.HumanFemaleEntity;
import net.mcreator.reverseddimensions.entity.HumanEntity;
import net.mcreator.reverseddimensions.entity.GrimwaccaEntity;
import net.mcreator.reverseddimensions.entity.GrimWaoEntity;
import net.mcreator.reverseddimensions.ReversedDimensionsMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class ReversedDimensionsModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITIES, ReversedDimensionsMod.MODID);
	public static final RegistryObject<EntityType<GrimwaccaEntity>> GRIMWACCA = register("grimwacca",
			EntityType.Builder.<GrimwaccaEntity>of(GrimwaccaEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true)
					.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(GrimwaccaEntity::new)

					.sized(1.4f, 0.9f));
	public static final RegistryObject<EntityType<GrimWaoEntity>> GRIM_WAO = register("grim_wao",
			EntityType.Builder.<GrimWaoEntity>of(GrimWaoEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64)
					.setUpdateInterval(3).setCustomClientFactory(GrimWaoEntity::new)

					.sized(0.6f, 0.7f));
	public static final RegistryObject<EntityType<InfiltratorSwineEntity>> INFILTRATOR_SWINE = register("infiltrator_swine",
			EntityType.Builder.<InfiltratorSwineEntity>of(InfiltratorSwineEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true)
					.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(InfiltratorSwineEntity::new)

					.sized(0.9f, 0.9f));
	public static final RegistryObject<EntityType<InfiltratorPhantomEntity>> INFILTRATOR_PHANTOM = register("infiltrator_phantom",
			EntityType.Builder.<InfiltratorPhantomEntity>of(InfiltratorPhantomEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true)
					.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(InfiltratorPhantomEntity::new).fireImmune().sized(1f, 1f));
	public static final RegistryObject<EntityType<HumanEntity>> HUMAN = register("human",
			EntityType.Builder.<HumanEntity>of(HumanEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(64)
					.setUpdateInterval(3).setCustomClientFactory(HumanEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<HumanFemaleEntity>> HUMAN_FEMALE = register("human_female",
			EntityType.Builder.<HumanFemaleEntity>of(HumanFemaleEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true)
					.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(HumanFemaleEntity::new)

					.sized(0.6f, 1.8f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			GrimwaccaEntity.init();
			GrimWaoEntity.init();
			InfiltratorSwineEntity.init();
			InfiltratorPhantomEntity.init();
			HumanEntity.init();
			HumanFemaleEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(GRIMWACCA.get(), GrimwaccaEntity.createAttributes().build());
		event.put(GRIM_WAO.get(), GrimWaoEntity.createAttributes().build());
		event.put(INFILTRATOR_SWINE.get(), InfiltratorSwineEntity.createAttributes().build());
		event.put(INFILTRATOR_PHANTOM.get(), InfiltratorPhantomEntity.createAttributes().build());
		event.put(HUMAN.get(), HumanEntity.createAttributes().build());
		event.put(HUMAN_FEMALE.get(), HumanFemaleEntity.createAttributes().build());
	}
}
