
package net.mcreator.reverseddimensions.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.AxeItem;

import net.mcreator.reverseddimensions.init.ReversedDimensionsModTabs;
import net.mcreator.reverseddimensions.init.ReversedDimensionsModItems;

public class InfiltratorAxeItem extends AxeItem {
	public InfiltratorAxeItem() {
		super(new Tier() {
			public int getUses() {
				return 750;
			}

			public float getSpeed() {
				return 8f;
			}

			public float getAttackDamageBonus() {
				return 7f;
			}

			public int getLevel() {
				return 3;
			}

			public int getEnchantmentValue() {
				return 10;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(ReversedDimensionsModItems.INFILTRATO.get()));
			}
		}, 1, -3f, new Item.Properties().tab(ReversedDimensionsModTabs.TAB_INFILTRATOR_DOWNLANDSS));
	}
}
