
package net.mcreator.reverseddimensions.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.AxeItem;

import net.mcreator.reverseddimensions.init.ReversedDimensionsModTabs;
import net.mcreator.reverseddimensions.init.ReversedDimensionsModItems;

public class TenseAxeItem extends AxeItem {
	public TenseAxeItem() {
		super(new Tier() {
			public int getUses() {
				return 500;
			}

			public float getSpeed() {
				return 6f;
			}

			public float getAttackDamageBonus() {
				return 7f;
			}

			public int getLevel() {
				return 2;
			}

			public int getEnchantmentValue() {
				return 14;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(ReversedDimensionsModItems.TENSE_INGOT.get()));
			}
		}, 1, -3f, new Item.Properties().tab(ReversedDimensionsModTabs.TAB_HOSTILE_FORESTT));
	}
}
