
package net.mcreator.reverseddimensions.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.SwordItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;

import net.mcreator.reverseddimensions.init.ReversedDimensionsModTabs;
import net.mcreator.reverseddimensions.init.ReversedDimensionsModItems;

public class GrimSwordItem extends SwordItem {
	public GrimSwordItem() {
		super(new Tier() {
			public int getUses() {
				return 1000;
			}

			public float getSpeed() {
				return 12f;
			}

			public float getAttackDamageBonus() {
				return 11f;
			}

			public int getLevel() {
				return 4;
			}

			public int getEnchantmentValue() {
				return 14;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(ReversedDimensionsModItems.GRIM_INGOT.get()));
			}
		}, 3, -3f, new Item.Properties().tab(ReversedDimensionsModTabs.TAB_GRIM_ISLANDSS));
	}
}
